#!/bin/bash
#
# Created By: MotorHead 2016/02/04

# Set up script environment
LOGPATH=/mnt/System_0/SystemUtils/SmartSummary/log
DATE=`date +%Y%m%d.%H%M`
LOG=smart.out
DAYS=365        #Number of days to retain logs
EMAIL=youremail@gmail.com

# Find and remove old logs
find ${LOGPATH}/${LOG}* -mtime +${DAYS} -exec rm {} \; > /dev/null 2>&1

# Find SATA Devices
DEVICELIST=($( camcontrol devlist | grep -o 'ada[0-9]' ))

# Loop through each device found in ${DEVICELIST}
for LIST in ${DEVICELIST[*]}; do
        FILE=${LOGPATH}/${LOG}.${LIST}.${DATE}
		echo "Smart Report: ${LIST}" > ${FILE}
		echo "Date: ${DATE}" >> ${FILE}
		echo "" >> ${FILE} 
		# Log Smartmon summary.
		smartctl -i -H -A -l error /dev/${LIST} >> ${FILE}
			# -i = Device Info (no spinup)
			# -H = Device Health (spinup)
			# -A = Only Vendor specific SMART attributes (spinup)
			# -l error = SMART Error Log (spinup)
        # Email Report
        cat ${FILE} | mail -s "FREENAS: INFO - ${LIST} - SMART Report" ${EMAIL}
done
